@import url("https://fonts.googleapis.com/css2?family=Asap+Condensed:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Oswald:wght@200..700&display=swap");

body {
  scroll-behavior: smooth;
  font-family: "Oswald", sans-serif;
  margin: 0;
  padding: 0;
  background-image: linear-gradient(
    to top,
    rgb(255, 255, 255),
    rgb(138, 212, 255)
  );
}
.nav-link,
.dropdown-item {
  font-size: 20px;
  margin-left: 20px;
  transition: color 0.3s ease;
}

.logo-img {
  height: 100px;
}

.navbar-custom {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background: linear-gradient(to bottom, rgb(138, 212, 255), #fefeff);
  transition: transform 0.3s ease, opacity 0.3s ease, box-shadow 0.3s ease;
  z-index: 1000;
  box-shadow: 0 1px 5px rgba(0, 0, 0, 0.3);
}

.navbar-custom:hover {
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3);
}

.font-color {
  color: #000000;
}

.navbar-custom.hidden {
  transform: translateY(-100%);
  opacity: 0;
}

.nav-link,
.dropdown-item {
  font-size: 20px;
  margin-left: 20px;
  position: relative;
  transition: color 0.3s ease, background-color 0.3s ease;
  padding: 10px 15px;
  border-radius: 4px;
}

.nav-link:hover,
.dropdown-item:hover {
  background-color: #e0f0ff;
  color: #3366cc;
  text-decoration: none;
}

.nav-link:active,
.dropdown-item:active {
  background-color: #c0d9ff;
}

.nav-link:focus,
.dropdown-item:focus {
  outline: none;
  background-color: #e0f0ff;
}

.video-container {
  position: relative;
  width: 100%;
  height: 50vh;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  margin-top: 90px;
}

.video-container img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100vw;
  height: auto;
  min-height: 100%;
  min-width: 100%;
  object-fit: cover;
  z-index: 1;
}

.video-container .gray-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  z-index: 2;
}

.video-overlay {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: rgb(255, 255, 255);
  text-align: center;
  z-index: 3;
  width: 100%;
  padding: 20px;
}

.video-overlay h1 {
  font-size: 3rem;
  margin-bottom: 20px;
  color: #ffffff;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8),
    -1px -1px 2px rgba(255, 255, 255, 0.6);
  font-weight: bold;
  letter-spacing: 2px;
  text-transform: uppercase;
  text-align: center;
  padding: 0 10px;
}

.video-overlay p {
  font-size: 1.5rem;
  margin-bottom: 20px;
  color: #fdfeff;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8),
    -1px -1px 2px rgba(255, 255, 255, 0.6);
  letter-spacing: 2px;
  text-align: center;
  padding: 0 10px;
  font-weight: lighter;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

hr {
  width: 30%;
  border-top: 5px solid #00d1fb;
}

.text {
  margin: 0;
  font-size: 3rem;
  text-align: left;
}

.img-right{
  height: 300px;
  width: 60vh;
}

ul {
  list-style: none;
}

.content ul li:before {
  content: '✓';
  color: red;
}

footer a{
  text-decoration: none;
}

.container-fluid {
  padding: 0;
}
.row {
  align-items: center;
  justify-content: center;
  padding: 20px;
}
.col-md-4 img, .col-md-8 img, .col-md-6 img {
  width: 100%;
  height: auto;
  border-radius: 15px;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}
.col-md-4 img:hover, .col-md-6 img:hover, .col-md-8 img:hover {
  transform: scale(1.05);
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.3);
}
@media (max-width: 768px) {
  .col-md-2, .col-md-8 {
      flex: 0 0 100%;
      max-width: 100%;
  }
}

.rounded-corners {
  border-radius: 20px;
  max-width: 100%;
  height: auto;
}

.btn-primary:hover,
.btn-primary:focus {
  background-color: #2c7bfe;
  border-color: #2c7bfe;
  box-shadow: none;
  outline: none;
}

.btn-primary {
  color: #fff;
  background-color: #2c7bfe;
  border-color: #2c7bfe;
}

section {
  padding: 60px 0;
}

section .section-title {
  text-align: center;
  color: #ffffff;
  margin-bottom: 50px;
  text-transform: uppercase;
}

#team .card {
  border: none;
  background: #ffffff;
}

.image-flip:hover .backside,
.image-flip.hover .backside {
  -webkit-transform: rotateY(0deg);
  -moz-transform: rotateY(0deg);
  -o-transform: rotateY(0deg);
  -ms-transform: rotateY(0deg);
  transform: rotateY(0deg);
  border-radius: 0.25rem;
}

.image-flip:hover .frontside,
.image-flip.hover .frontside {
  -webkit-transform: rotateY(180deg);
  -moz-transform: rotateY(180deg);
  -o-transform: rotateY(180deg);
  transform: rotateY(180deg);
}

.mainflip {
  -webkit-transition: 1s;
  -webkit-transform-style: preserve-3d;
  -ms-transition: 1s;
  -moz-transition: 1s;
  -moz-transform: perspective(1000px);
  -moz-transform-style: preserve-3d;
  -ms-transform-style: preserve-3d;
  transition: 1s;
  transform-style: preserve-3d;
  position: relative;
}

.frontside {
  position: relative;
  -webkit-transform: rotateY(0deg);
  -ms-transform: rotateY(0deg);
  z-index: 2;
  margin-bottom: 30px;
}

.backside {
  position: absolute;
  top: 0;
  left: 0;
  background: white;
  -webkit-transform: rotateY(-180deg);
  -moz-transform: rotateY(-180deg);
  -o-transform: rotateY(-180deg);
  -ms-transform: rotateY(-180deg);
  transform: rotateY(-180deg);
  -webkit-box-shadow: 5px 7px 9px -4px rgb(158, 158, 158);
  -moz-box-shadow: 5px 7px 9px -4px rgb(158, 158, 158);
  box-shadow: 5px 7px 9px -4px rgb(158, 158, 158);
}

.frontside,
.backside {
  -webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
  -ms-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-transition: 1s;
  -webkit-transform-style: preserve-3d;
  -moz-transition: 1s;
  -moz-transform-style: preserve-3d;
  -o-transition: 1s;
  -o-transform-style: preserve-3d;
  -ms-transition: 1s;
  -ms-transform-style: preserve-3d;
  transition: 1s;
  transform-style: preserve-3d;
}

.frontside .card,
.backside .card {
  min-height: 312px;
}

.backside .card a {
  font-size: 18px;
  color: #2c7bfe !important;
}

.frontside .card .card-title,
.backside .card .card-title {
  color: #2c7bfe !important;
}

.frontside .card .card-body img {
  width: 120px;
  height: 120px;
  border-radius: 50%;
}
.font-header {
  color: rgb(0, 0, 0);
  font-size: 50px;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.2);
}

h1 {
  text-align: center;
  margin-top: 2rem;
}
.pricing p {
  text-align: center;
  margin-bottom: 4rem;
}
.pricing {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;

  .plan {
    background-color: #efefef;
    padding: 2.5rem;
    margin: 12px;
    border-radius: 5px;
    text-align: center;
    transition: 0.3s;
    cursor: pointer;

    h2 {
      font-size: 22px;
      margin-bottom: 12px;
    }

    .price {
      margin-bottom: 1rem;
      font-size: 30px;
    }

    ul.features {
      list-style-type: none;
      text-align: left;
      li {
        margin: 8px;
        .fas {
          margin-right: 4px;
        }
        .fa-check-circle {
          color: #00b5fc;
        }
        .fa-times-circle {
          color: #eb4d4b;
        }
      }
    }

    button {
      border: none;
      width: 100%;
      padding: 12px 35px;
      margin-top: 1rem;
      background-color: #6ab04c;
      color: #fff;
      border-radius: 5px;
      cursor: pointer;
      font-size: 16px;
    }

    &.popular {
      border: 2px solid #00d1fb;
      position: relative;
      transform: scale(1.08);

      span {
        position: absolute;
        top: -20px;
        left: 50%;
        transform: translateX(-50%);
        background-color: #00d1fb;
        color: #fff;
        padding: 4px 20px;
        font-size: 18px;
        border-radius: 5px;
      }
    }

    &:hover {
      box-shadow: 5px 7px 67px -28px rgba(0, 0, 0, 0.37);
    }
  }
}

.textleft{
  text-align: left;
}
.img-size{
  height: 1500px;
  width: 2000px;
}
.modal {
  display: none;
  position: fixed;
  z-index: 1000;
  padding-top: 100px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0,0,0);
  background-color: rgba(0,0,0,0.9);
}

.modal-content {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
}

.close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: white;
  font-size: 40px;
  font-weight: bold;
  cursor: pointer;
}

.contact-info {
  background-color: #ffffff; /* White background for contrast */
  padding: 20px;
  border-radius: 5px;
  border: 1px solid #ddd;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}
.map-container {
  position: relative;
  padding-bottom: 56.25%; /* 16:9 Aspect Ratio */
  height: 0;
  overflow: hidden;
  background-color: #ffffff; /* White background for map */
  border-radius: 5px;
  border: 1px solid #ddd;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}
.map-container iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}